Tag
Case
Metaprogramming case expression.
Case<TAG[, NextCase]>
Include Headers
seqan/basic.h
Parameters

TAG |
NextCase | Optional next case of type Case, defaults to NilCase. Types: Case, NilCase

Remarks
The documentation of Switch gives an example.
Metafunctions

Switch | Metaprogramming switch expression.

See Also
Switch, NilCase
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00